Confused about upgrading Apache Struts

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Confused about upgrading Apache Struts

Sean Son
Hello everyone

I have been tasked with upgrading Apache Struts, running on CentOS 7, to
the latest version. I have no idea where to begin. I am not a web
developer, I am only a system administrator, so I have no idea where I
should even look to figure out how to upgrade this thing.  Any and all help
will be greatly appreciated!


Sincerely

n00b needing help
Reply | Threaded
Open this post in threaded view
|

Re: Confused about upgrading Apache Struts

David Greene
Struts is a MVC framework for a web application.  That application needs to
be modified to use different version of the Struts2 library and depending
on what version you're currently running, you may have many changes to make
on the application's end.

If that application is owned by your company, hire a Java dev to do this
work for you.  Save yourself the headache.

If that application is owned by another company and your company
bought/contracted/etc that application, contact the vendor and ask them
about when they'll patch their software appropriately.

Other than that, there's documents here to help:

https://cwiki.apache.org/confluence/display/WW/Migration+Guide



On Wed, Apr 11, 2018 at 2:11 PM, Sean Son <[hidden email]>
wrote:

> Hello everyone
>
> I have been tasked with upgrading Apache Struts, running on CentOS 7, to
> the latest version. I have no idea where to begin. I am not a web
> developer, I am only a system administrator, so I have no idea where I
> should even look to figure out how to upgrade this thing.  Any and all help
> will be greatly appreciated!
>
>
> Sincerely
>
> n00b needing help
>



--
----------------------------------------------------
*David Greene*
*SecureLink, Inc.*
Secure networks for remote support
----------------------------------------------------
mobile | (512) 630-2285
office | (512) 640-1912
----------------------------------------------------
[hidden email]

This email may contain private information and is for the intended
recipient only. If received in error, please notify sender and destroy any
copies. Unauthorized review, use, or disclosure of the contents herein is
prohibited
Reply | Threaded
Open this post in threaded view
|

Re: Confused about upgrading Apache Struts

Sean Son
On Wed, Apr 11, 2018 at 3:26 PM, David Greene <[hidden email]> wrote:

> Struts is a MVC framework for a web application.  That application needs to
> be modified to use different version of the Struts2 library and depending
> on what version you're currently running, you may have many changes to make
> on the application's end.
>
> If that application is owned by your company, hire a Java dev to do this
> work for you.  Save yourself the headache.
>
> If that application is owned by another company and your company
> bought/contracted/etc that application, contact the vendor and ask them
> about when they'll patch their software appropriately.
>
> Other than that, there's documents here to help:
>
> https://cwiki.apache.org/confluence/display/WW/Migration+Guide
>
>
>
> On Wed, Apr 11, 2018 at 2:11 PM, Sean Son <linuxmailinglistsemail@gmail.
> com>
> wrote:
>
> > Hello everyone
> >
> > I have been tasked with upgrading Apache Struts, running on CentOS 7, to
> > the latest version. I have no idea where to begin. I am not a web
> > developer, I am only a system administrator, so I have no idea where I
> > should even look to figure out how to upgrade this thing.  Any and all
> help
> > will be greatly appreciated!
> >
> >
> > Sincerely
> >
> > n00b needing help
> >
>
>
>
> --
> ----------------------------------------------------
> *David Greene*
> *SecureLink, Inc.*
> Secure networks for remote support
> ----------------------------------------------------
> mobile | (512) 630-2285
> office | (512) 640-1912
> ----------------------------------------------------
> [hidden email]
>
> This email may contain private information and is for the intended
> recipient only. If received in error, please notify sender and destroy any
> copies. Unauthorized review, use, or disclosure of the contents herein is
> prohibited
>


Hello David

Thank you for the reply.  Is it difficult for a Linux Admin who is a
non-developer to upgrade struts by themselves?
Reply | Threaded
Open this post in threaded view
|

Re: Confused about upgrading Apache Struts

Dave Newton-6
On Wed, Apr 11, 2018 at 3:32 PM Sean Son <[hidden email]>
wrote:

> Is it difficult for a Linux Admin who is a
> non-developer to upgrade struts by themselves?
>
Depends-if you know how to build and deploy Java web apps, and no code
changes are required, not particularly (assuming it's a Maven/etc project).

Dave
--
e: [hidden email]
m: 908-380-8699
s: davelnewton_skype
t: @dave_newton <https://twitter.com/dave_newton>
b: Bucky Bits <http://buckybits.blogspot.com/>
g: davelnewton <https://github.com/davelnewton>
so: Dave Newton <http://stackoverflow.com/users/438992/dave-newton>